Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1656064 - Capacity alerts are not working
Summary: Capacity alerts are not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-notifier
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 2
Assignee: gowtham
QA Contact: Elena Bondarenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 15:08 UTC by Filip Balák
Modified: 2018-12-17 17:07 UTC (History)
5 users (show)

Fixed In Version: tendrl-monitoring-integration-1.6.3-16.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 17:06:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl monitoring-integration issues 580 0 None None None 2018-12-05 14:12:13 UTC
Red Hat Product Errata RHSA-2018:3829 0 None None None 2018-12-17 17:07:00 UTC

Description Filip Balák 2018-12-04 15:08:27 UTC
Description of problem:
If disk capacity of volume or brick is utilized beyond 75% then there is no alert generated.

Version-Release number of selected component (if applicable):
tendrl-ansible-1.6.3-10.el7rhgs.noarch
tendrl-api-1.6.3-8.el7rhgs.noarch
tendrl-api-httpd-1.6.3-8.el7rhgs.noarch
tendrl-commons-1.6.3-13.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-15.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-15.el7rhgs.noarch
tendrl-node-agent-1.6.3-11.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-14.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. Import cluster with arbiter volume into WA.
2. Setup alerting (mail, snmp) 
3. Log into client machine with mounted volume and utilize it [1].
4. Check for alerts in mail, snmp and UI

Actual results:
There are no alerts.

Expected results:
There should be alerts when capacity utilization breach warning and critical utilization threshold.

Additional info:
[1] https://github.com/usmqe/usmqe-testdoc/blob/master/web/alerting/utilization_gluster.rst

Comment 2 Filip Balák 2018-12-05 11:46:18 UTC
This was seen working in version 3.4.0. In 3.4.1 it was broken.

Comment 4 gowtham 2018-12-05 13:49:29 UTC
it is the regression part of http://bugzilla.redhat.com/show_bug.cgi?id=1590416 fix I did some small mistake.

Comment 5 gowtham 2018-12-05 14:12:14 UTC
PR under_review: https://github.com/Tendrl/monitoring-integration/pull/581

Comment 8 Elena Bondarenko 2018-12-10 16:33:16 UTC
Capacity alerts are working correctly.

Comment 9 errata-xmlrpc 2018-12-17 17:06:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3829


Note You need to log in before you can comment on or make changes to this bug.